'use client';

import { redirect } from 'next/navigation';
import { useLocalStorage } from '../../../../../hooks/useLocalStorage';
import { AUTH_TOKEN_KEY } from '../../../../../constants/common';
import { SessionType } from '../../../../../types/sessions';

export default function SessionsMainPage() {
    const [token] = useLocalStorage(AUTH_TOKEN_KEY, '');

    return token ? redirect(SessionType.UPCOMING) : null;
};
